<?php

/**
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * https://www.d3data.de
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author    D3 Data Development - Daniel Seifert <info@shopmodule.com>
 * @link      https://www.oxidmodule.com
 */

declare(strict_types=1);
	
	use D3\ManufacturerInformation\Application\Controller\Admin\ManufacturerInfoLongdesc;
	
	$sMetadataVersion = '2.1';

$sModuleId = 'd3manufacturerinformation';
$logo = '<img src="https://logos.oxidmodule.com/d3logo.svg" alt="(D3)" style="height:1em;width:1em">';

/**
 * Module information
 */
$aModule = [
    'id'          => $sModuleId,
    'title'       => $logo.' Herstellerinformationen',
    'description' => [
        'de' => 'Beschreibung hinzufügen',
        'en' => 'add desc',
    ],
    'thumbnail'   => 'image-file.png',
    'version'     => '1.0.0.0',
    'author'      => $logo.' Data Development (Inh.: Thomas Dartsch)',
    'email'       => 'support@shopmodule.com',
    'url'         => 'https://www.oxidmodule.com/',
    'controllers' => [
		"d3manufacturerinfolongdesc" => ManufacturerInfoLongdesc::class
    ],
    'extend'      => [
//      \OxidEsales\Eshop\Core\ShopControl::class => \D3\ThisModule\Modules\Core\ShopControl_MyModule::class
    ],
    'events'      => [
//      'onActivate'    => '\D3\ThisModule\Setup\Events::onActivate',
//      'onDeactivate'  => '\D3\ThisModule\Setup\Events::onDeactivate',
    ],
    'templates'   => [
	    'd3manufacturerlongdesc.tpl'        => 'd3/manufacturerinformation/Application/views/admin/tpl/d3manufacturer_longdesc.tpl',
//      'flow_theme' => [
//          'd3FlowTemplateAlias.tpl' => 'd3/thismodule/Application/views/tpl/d3FlowTheme.tpl',
//      ],
    ],
    'settings'    => [
//      [
//          'group'     => $sModuleId.'_headline',
//          'name'      => $sModuleId.'_name',
//          'type'      => 'bool',
//          'value'     => false,
//      ],
    ],
    'blocks'      => [
//      [
//          'template'  => 'layout/footer.tpl',
//          'block'     => 'footer_main',
//          'file'      => 'Application/views/blocks/layout/footer_main_mymodule.tpl'
//      ]
    ],
    'smartyPluginDirectories' => [
//      'Core/Smarty/Plugin'
    ],
];
